Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1804538 - Review Request: ghc-path-io - Interface to directory package for users of path
Summary: Review Request: ghc-path-io - Interface to directory package for users of path
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-19 04:53 UTC by Jens Petersen
Modified: 2020-04-07 13:15 UTC (History)
2 users (show)

Fixed In Version: ghc-path-io-1.4.2-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-07 03:23:09 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2020-02-19 04:53:08 UTC
Spec URL: https://petersen.fedorapeople.org/reviews/ghc-path-io.spec
SRPM URL: https://petersen.fedorapeople.org/reviews/ghc-path-io-1.4.2-1.fc31.src.rpm

Description:
Interface to âÂÂdirectoryâ package for users of âÂÂpathâÂÂ.

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=41635260

Comment 1 Jens Petersen 2020-02-19 09:55:18 UTC
(sorry about the utf8 corruption above - my bad, not a package issue)

This is needed for stack, also via http-download and pantry.

Comment 2 Jens Petersen 2020-02-27 06:00:55 UTC
I have moved the files into the right path, thanks.

Comment 3 Robert-André Mauchin 🐧 2020-03-20 20:48:39 UTC
 - Latest version is 1.6.0

Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License". 6 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/ghc-path-io/review-ghc-
     path-io/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-path-io-1.4.2-1.fc33.x86_64.rpm
          ghc-path-io-devel-1.4.2-1.fc33.x86_64.rpm
          ghc-path-io-1.4.2-1.fc33.src.rpm
ghc-path-io.x86_64: E: library-not-linked-against-libc /usr/lib64/libHSpath-io-1.4.2-In2TZBsfqjK4r34JuNhWh-ghc8.6.5.so
ghc-path-io.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 1 errors, 1 warnings.

Comment 4 Jens Petersen 2020-03-22 13:54:56 UTC
Thank you for the review

https://pagure.io/releng/fedora-scm-requests/issue/23464

Comment 5 Igor Raits 2020-03-22 15:40:47 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-path-io

Comment 6 Jens Petersen 2020-03-26 05:39:20 UTC
https://pagure.io/releng/fedora-scm-requests/issue/23670 (f32)

Comment 7 Jens Petersen 2020-03-26 05:40:07 UTC
https://pagure.io/releng/fedora-scm-requests/issue/23671 (f31)

Comment 8 Fedora Update System 2020-03-29 17:47:14 UTC
FEDORA-2020-9964ea9f5c has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9964ea9f5c

Comment 9 Fedora Update System 2020-03-29 17:50:39 UTC
FEDORA-2020-57fb96868f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-57fb96868f

Comment 10 Fedora Update System 2020-03-30 03:00:28 UTC
FEDORA-2020-9964ea9f5c has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-9964ea9f5c \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9964ea9f5c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-03-30 03:33:50 UTC
FEDORA-2020-57fb96868f has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-57fb96868f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-57fb96868f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-04-07 03:23:09 UTC
FEDORA-2020-57fb96868f has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-04-07 05:04:23 UTC
FEDORA-2020-9964ea9f5c has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-04-07 13:15:32 UTC
FEDORA-2020-9964ea9f5c has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.